GPM(3NCARG)

NAME
GPM (Polymarker) - the polymarker output primitive draws selected symmetric symbols to mark user-specified coordinate positions.

SYNOPSIS
CALL GPM (N, X, Y)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void gpolymarker(const Gpoint_list *point_list);

DESCRIPTION

N   (Integer, Input) - The number of markers to be drawn. N must be greater than zero.

X (N)
    (Real Array, Input) - The X coordinates of the N markers to be drawn, in world coordinates.

Y (N)
    (Real Array, Input) - The Y coordinates of the N markers to be drawn, in world coordinates.

USAGE
By default, the polymarker type is an asterisk. To select other polymarker types and attributes, see the man page for gsmk.

Note that the coordinate pairs must be in world coordinates and not user coordinates. Among other things, this means that the log scaling and mirror-imaging features available via the SET call and the SPPS functions for drawing dots and markers are not applicable here.

ACCESS
To use GKS routines, load the NCAR GKS-0A library ncarg_gks.

SEE ALSO
Online: gsmk, gsmksc, gscr, gspmci, gqmk, gqmksc, gqpmci, point, points, ngdots, gpolymarker

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.